%define		pkg	config-chain
Summary:	Handle configuration once and for all
Name:		nodejs-%{pkg}
Version:	1.1.8
Release:	1
License:	MIT
Group:		Development/Libraries
Source0:	http://registry.npmjs.org/%{pkg}/-/%{pkg}-%{version}.tgz
# Source0-md5:	50c3b72ebdb0016efb25a7eee64f481e
URL:		http://github.com/dominictarr/config-chain
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
Requires:	nodejs-ini < 2
Requires:	nodejs-ini >= 1
Requires:	nodejs-proto-list < 1.3.0
Requires:	nodejs-proto-list >= 1.2.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Handle configuration once and for all.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
cp -a package.json index.js $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc readme.markdown
%dir %{nodejs_libdir}/%{pkg}
%{nodejs_libdir}/%{pkg}/package.json
%{nodejs_libdir}/%{pkg}/index.js
%changelog
* Thu Mar 13 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-config-chain.git;a=log;h=master

* Thu Mar 13 2014 Łukasz Kieś <kiesiu@pld-linux.org> 2fc80cc
- updated to 1.1.8
- proper description

* Tue Mar 11 2014 Elan Ruusamäe <glen@delfi.ee> b06207b
- URL after Sources

* Sat Feb 16 2013 Aria <aredridel@nbtsc.org> 982a583
- Initial commit

